• 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏吧

Java提高篇(十七):Spring3和java8的冲突问题

Java 提高篇 来源:azhegps 1次浏览

       最近项目中有个问题,困扰了我快一天,最后那是一行一行的定位分析。靠。Spring3和java8的冲突。简单一句话就是:Spring Framework 4.0.3 发布,此版本是基于 OpenJDK 8 GA 版本,最新的 ASM 5.0.1 构建的,详情请看这里。此版本包括许多显著的改进:大大的改进了 WebSocket 空间;集成了许多 real-life 反馈到框架和配置选项;详情请看这里。spring3和java8使用时,启动项目会出现一些问题。莫名其妙。编译时是ok的。所以java8中的Lambda表达式在spring3中用不了。方法:使用spring4或是不用Lambda


版权声明:本文转自网络文章,转载此文章仅为分享知识,如有侵权,请联系管理员进行删除。
喜欢 (0)